Eclipse Platform Release 3.7

## org.eclipse.jface.text.source
Interface AnnotationPainter.ITextStyleStrategy

All Known Implementing Classes:
  AnnotationPainter.BoxStrategy, AnnotationPainter.HighlightingStrategy, AnnotationPainter.UnderlineStrategy

Enclosing class:
  AnnotationPainter

    public static interface AnnotationPainter.ITextStyleStrategy

A text style painting strategy draws the decoration for an annotation onto the text widget by applying a `TextStyle` on a given `StyleRange`.

Since:
  3.4

Method Summary
`void` `applyTextStyle(StyleRange styleRange, Color annotationColor)` Applies a text style on the given `StyleRange`.

Method Detail

### applyTextStyle

    void applyTextStyle(StyleRange styleRange,
                        Color annotationColor)

  Applies a text style on the given `StyleRange`.

  Parameters:
    `styleRange` - the style range on which to apply the text style
    `annotationColor` - the color of the annotation

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.